<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

namespace KevinPlugin\Setup\Migration;

if (!defined('_PS_VERSION_')) {
    exit;
}

use Db;

class MigrationVer201 extends AbstractMigration
{
    /**
     * @return bool
     */
    public static function install()
    {
        $sql[] = 'ALTER TABLE `' . _DB_PREFIX_ . 'kevin` MODIFY COLUMN `id_order` int(11) UNSIGNED DEFAULT NULL;';

        $sql[] = 'ALTER TABLE `' . _DB_PREFIX_ . 'kevin_refund` MODIFY COLUMN `created_at` DATETIME DEFAULT NULL;';

        if (!self::doesColumnExistInTable('kevin_refund', 'error')) {
            $sql[] = 'ALTER TABLE `' . _DB_PREFIX_ . 'kevin_refund` ADD `error` text DEFAULT NULL;';
        }

        foreach ($sql as $query) {
            if (Db::getInstance()->execute($query) == false) {
                return false;
            }
        }

        return true;
    }
}
