<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

namespace KevinPlugin\Utils;

if (!defined('_PS_VERSION_')) {
    exit;
}

use Context;
use Kevin;
use KevinPlugin\PluginConfig;

class Url
{
    /**
     * @return string
     */
    public static function getWebhookUrl()
    {
        $url = Context::getContext()->link->getModuleLink(Kevin::MODULE_NAME, 'webhook', [], true);
        if (PluginConfig::CUSTOM_WEBHOOK_URL()) {
            $baseUrl = rtrim(Context::getContext()->link->getBaseLink(), '/');
            $url = str_replace($baseUrl, PluginConfig::CUSTOM_WEBHOOK_URL(), $url);
        }

        return $url;
    }

    /**
     * @return string
     */
    public static function getRedirectUrl()
    {
        $url = Context::getContext()->link->getModuleLink(Kevin::MODULE_NAME, 'confirm', [], true);
        if (PluginConfig::CUSTOM_REDIRECT_URL()) {
            $baseUrl = rtrim(Context::getContext()->link->getBaseLink(), '/');
            $url = str_replace($baseUrl, PluginConfig::CUSTOM_REDIRECT_URL(), $url);
        }

        return $url;
    }
}
