<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

use KevinPlugin\Client\MonitoringClient;
use KevinPlugin\GatewaySettings;
use KevinPlugin\Setup\KevinOrderStatusSetup;
use KevinPlugin\Setup\Migration\MigrationVer200;

if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_2_0_0($object)
{
    //during the update old vendor autoloader files are present and these files cant be found so I have to load them manually
    require_once __DIR__ . '/../src/GatewaySettings.php';
    require_once __DIR__ . '/../src/PluginConfig.php';
    require_once __DIR__ . '/../src/Utils/Translator.php';
    require_once __DIR__ . '/../src/Setup/Migration/AbstractMigration.php';
    require_once __DIR__ . '/../src/Setup/Migration/MigrationVer200.php';
    require_once __DIR__ . '/../src/Setup/KevinOrderStatusSetup.php';

    if (!MigrationVer200::install()) {
        return false;
    }

    \Configuration::updateValue(GatewaySettings::KEVIN_ENABLED, 1);
    \Configuration::updateValue(GatewaySettings::KEVIN_CHECKOUT_VIEW, 'list');

    KevinOrderStatusSetup::install();

    return $object->registerHook('actionProductCancel') &&
        $object->unregisterHook('payment') &&
        $object->unregisterHook('displayOrderConfirmation');
}
