/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

$(document).ready(function () {
    $('.kevin-password-input').css('-webkit-text-security', 'square')

    var checkout_view = $('#KEVIN_CHECKOUT_VIEW');

    toggleDropdowns(checkout_view.val() === 'frame');

    checkout_view.on('change', function () {
        var selectedValue = $(this).val();
        toggleDropdowns(selectedValue === 'frame')
    })

    injectPlaceholders();

})

var toggleDropdowns = function (disable) {

    var payment_kevin_country_dropdown_on = $("#KEVIN_COUNTRY_DROPDOWN_on");
    var payment_kevin_country_dropdown_off = $("#KEVIN_COUNTRY_DROPDOWN_off");
    var payment_kevin_bank_search_on = $("#KEVIN_BANK_SEARCH_on");
    var payment_kevin_bank_search_off = $("#KEVIN_BANK_SEARCH_off");

    if (disable === true) {
        payment_kevin_country_dropdown_on.removeAttr('checked').attr('disabled', 'disabled');
        payment_kevin_country_dropdown_off.attr('checked', 'checked').attr('disabled', 'disabled');
        payment_kevin_bank_search_on.removeAttr('checked').attr('disabled', 'disabled');
        payment_kevin_bank_search_off.attr('checked', 'checked').attr('disabled', 'disabled');
    } else {
        payment_kevin_country_dropdown_on.prop('disabled', false);
        payment_kevin_country_dropdown_off.prop('disabled', false);
        payment_kevin_bank_search_on.prop('disabled', false);
        payment_kevin_bank_search_off.prop('disabled', false);
    }
}

var injectPlaceholders = function () {
    if (typeof kevin_settings_placeholders !== 'undefined') {

        $.each(kevin_settings_placeholders, function(index, value) {
            element = ($('#'+index));
            if (!element.val()) {
                element.attr('placeholder', value)
            }
        });
    }
}