/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */

jQuery(document).ready(function () {
  const kevinPaymentOptionInput = $("input[data-module-name='kevin']");
  if (kevinPaymentOptionInput.length > 0) {
    kevinPaymentOptionInput.first().click();
  }

  const paymentConfirmationButton = $('#payment-confirmation button');
  if (paymentConfirmationButton.length > 0) {
    paymentConfirmationButton.on('click', function () {
      setTimeout(() => {
        paymentConfirmationButton.attr('disabled', true);
      }, 1);
    });
  }
});

function clearSelectedBank() {
  jQuery(document).ready(function ($) {
    $('.kevin-banks-list').each(function () {
      $(this).find('.kevin-bank').removeClass('selected');
      $(this).find('.kevin-bank').find('input').prop('checked', false);
      kevinUpdatePaymentAction(null);
    });
  });
}

function filterByCountry(value) {
  jQuery(document).ready(function ($) {
    $('.kevin-banks-list > .kevin-bank').each(function () {
      if ($(this).data('country') === value) {
        $(this).show();
      } else {
        $(this).hide();
      }
    });
  });
}

function filterByBank(element) {
  jQuery(document).ready(function ($) {
    var value = $(element).val().toLowerCase();
    var country = $('#kevin-country-selector').val() ?? $(element).data('default_country')
    $('.kevin-banks-list > .kevin-bank').each(function () {
      if ($(this).text().toLowerCase().search(value) > -1 && $(this).data('country') === country) {
        $(this).show();
      } else {
        $(this).hide();
      }
    });
  });
}

function kevinUpdatePaymentAction(bankId = null) {
  $(document).ready(function ($) {
    if ($('.kevin-banks-list').length) {
      const paymentOptionId = $('.kevin-banks-list').parents('.js-additional-information').attr('id').match(/\d+/)[0];
      if ($('#payment-option-' + paymentOptionId + ':checked').val() !== 'on') {
        return;
      }

      const paymentUrl = $('#pay-with-payment-option-' + paymentOptionId + '-form > form').attr('action');
      if (bankId) {
        let replacePaymentUrl = paymentUrl.substring(0, paymentUrl.indexOf("redirect"));
        replacePaymentUrl += 'redirect?id=' + bankId;
        $('#pay-with-payment-option-' + paymentOptionId + '-form > form').attr('action', replacePaymentUrl);
      } else {
        const bankId = paymentUrl.substring(paymentUrl.indexOf("id=") + 3);

        if (bankId.trim().length) {
          return;
        }
      }
    }
  });
}
