{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *}
{foreach $errors as $error}
    <div class="alert alert-danger kevin-alert-danger">
        <p>{$error|escape:'html':'UTF-8'}</p>
    </div>
{/foreach}

{foreach $alerts as $alert}
    <div class="alert alert-warning kevin-alert-warning">
        <p>{$alert|escape:'html':'UTF-8'}</p>
    </div>
{/foreach}

<div class="kevin-search-wrapper">
    {if $countryDropdown }
        <select id="kevin-country-selector" class="form-select kevin-country-selector" onchange="filterByCountry(this.value)"
                aria-label="Default select example" data-testid="country-dropdown">
            {if $selectedCountryCode == null}
                <option>{$text_select_country|escape:'html':'UTF-8'}</option>
            {/if}
            {foreach $countryCodes as $isoCode => $country}
                {$selected = ''}
                {if $isoCode == $selectedCountryCode}
                    {$selected = 'selected'}
                {/if}
                <option {$selected|escape:'html':'UTF-8'} value="{$isoCode|escape:'html':'UTF-8'}" >{$country|escape:'html':'UTF-8'}</option>
            {/foreach}
        </select>
    {/if}
    {if $bankSearch }
        <input id="kevin-bank-input" type="text" class="input-text" placeholder="{$text_bank_search_placeholder|escape:'html':'UTF-8'}"
               onkeyup="filterByBank(this)" data-default_country="{$selectedCountryCode|escape:'html':'UTF-8'}" data-testid="bank-search-field"/>
    {/if}
</div>
<div class="kevin-banks-list">
    {foreach $banks as $bank}
        <div class="kevin-bank kevin-country-{$bank['countryCode']|escape:'html':'UTF-8'} kevin-bank-{$bank['name']|escape:'html':'UTF-8'}" data-country="{$bank['countryCode']|escape:'html':'UTF-8'}"
             data-testid="{$bank['id']|escape:'html':'UTF-8'}-container" {if $selectedCountryCode != $bank['countryCode']|escape:'html':'UTF-8'} style="display: none;" {/if}>
            {if !$isCheckoutViewTiles }
                <label>
                    <input type="radio" name="payment[bank_id]" value="{$bank['id']|escape:'html':'UTF-8'}" title="{$bank['name']|escape:'html':'UTF-8'}"
                           onchange="kevinUpdatePaymentAction($(this).val())" class="bank-radio-input"/>
                    {$bank['name']|escape:'html':'UTF-8'}
                    <img src="{$bank['imageUri']|escape:'html':'UTF-8'}" height="48" alt="{$bank['name']|escape:'html':'UTF-8'}">
                </label>
            {else}
                <input type="radio" name="payment[bank_id]" id="{$bank['id']|escape:'html':'UTF-8'}" value="{$bank['id']|escape:'html':'UTF-8'}"
                       onchange="kevinUpdatePaymentAction($(this).val())" class="bank-radio-input"/>
                <label for="{$bank['id']|escape:'html':'UTF-8'}" class="kevin-bank-grid-label">
                    <img class="kevin-bank-logo" src="{$bank['imageUri']|escape:'html':'UTF-8'}" alt="{$bank['name']|escape:'html':'UTF-8'}"
                         onchange="kevinUpdatePaymentAction($(this).val())"/>
                    <div class="kevin-bank-name">{$bank['name']|escape:'html':'UTF-8'}</div>
                </label>
            {/if}
        </div>
    {/foreach}
</div>
<em class="kevin-terms-conditions">
    {$text_legal_info|escape:'html':'UTF-8'}
    <a href="https://www.kevin.eu/docs/terms-and-conditions" title="kevin. Terms and conditions" target="_blank">{$text_legal_tos|escape:'html':'UTF-8'}</a>,
    <a href="https://www.kevin.eu/docs/privacy-policy" title="kevin. Privacy policy" target="_blank">{$text_legal_privacy_policy|escape:'html':'UTF-8'}</a>.
</em>

